## class SG_EXPORT osg::AnimationPath

> AnimationPath for specify the time varying transformation pathway to use when update camera and model objects.

## Inheritance:

### Public Methods

AnimationPath()
AnimationPath(const AnimationPath& ap, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
META_Object(osg, AnimationPath)
bool getMatrix(double time, Matrixf& matrix) const
  get the transformation matrix for a point in time
bool getMatrix(double time, Matrixd& matrix) const
  get the transformation matrix for a point in time
bool getInverse(double time, Matrixf& matrix) const
  get the inverse transformation matrix for a point in time
bool getInverse(double time, Matrixd& matrix) const
virtual bool getInterpolatedControlPoint(double time, ControlPoint& controlPoint) const
  get the local ControlPoint frame for a point in time
void insert(double time, const ControlPoint& controlPoint)
double getFirstTime() const
double getLastTime() const
double getPeriod() const
void setLoopMode(LoopMode lm)
LoopMode getLoopMode() const
TimeControlPointMap& getTimeControlPointMap()
const TimeControlPointMap& getTimeControlPointMap() const

### Public Members

struct ControlPoint
enum LoopMode
typedef std::map<double,ControlPoint> TimeControlPointMap

### Protected Fields

TimeControlPointMap _timeControlPointMap
LoopMode _loopMode

### Protected Methods

virtual ~AnimationPath()

### Inherited from Object:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp&) const
virtual bool isSameKindAs(const Object*) const
virtual const char* libraryName() const
virtual const char* className() const
inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> AnimationPath for specify the time varying transformation pathway to use when update camera and model objects. Subclassed from Transform::ComputeTransformCallback allows AnimationPath to be attached directly to Transform nodes to move subgraphs around the scene.

`AnimationPath()`

`AnimationPath(const AnimationPath& ap, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`

`META_Object(osg, AnimationPath)`

`struct ControlPoint`

`ControlPoint()`

`ControlPoint(const osg::Vec3& position)`

`ControlPoint(const osg::Vec3& position, const osg::Quat& rotation)`

`ControlPoint(const osg::Vec3& position, const osg::Quat& rotation, const osg::Vec3& scale)`

`osg::Vec3 _position`

`osg::Quat _rotation`

`osg::Vec3 _scale`

`inline void interpolate(float ratio, const ControlPoint& first, const ControlPoint& second)`

`inline void getMatrix(Matrixf& matrix) const`

`inline void getMatrix(Matrixd& matrix) const`

`inline void getInverse(Matrixf& matrix) const`

`inline void getInverse(Matrixd& matrix) const`

`bool getMatrix(double time, Matrixf& matrix) const`
  get the transformation matrix for a point in time

`bool getMatrix(double time, Matrixd& matrix) const`
  get the transformation matrix for a point in time

`bool getInverse(double time, Matrixf& matrix) const`
  get the inverse transformation matrix for a point in time

`bool getInverse(double time, Matrixd& matrix) const`

`virtual bool getInterpolatedControlPoint(double time, ControlPoint& controlPoint) const`
  get the local ControlPoint frame for a point in time

`void insert(double time, const ControlPoint& controlPoint)`

`double getFirstTime() const`

`double getLastTime() const`

`double getPeriod() const`

`enum LoopMode`

`SWING`

`LOOP`

`NO_LOOPING`

`void setLoopMode(LoopMode lm)`

`LoopMode getLoopMode() const`

`typedef std::map<double,ControlPoint> TimeControlPointMap`

`TimeControlPointMap& getTimeControlPointMap()`

`const TimeControlPointMap& getTimeControlPointMap() const`

`virtual ~AnimationPath()`

`TimeControlPointMap _timeControlPointMap`

`LoopMode _loopMode`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.